#pragma once

#include "Dialog.h"
#include <Knopf.h>

class Frage : public Dialog
{
public:
    // Konstructor
    //  tr: Ein Zeiger auf die zu verwendende Schrift
    //  frage: Die Frage die an den Benutzer gestellt werden soll
    //  left: Die linke Antwort
    //  right: Die rechte Antwort
    //  leftAk: Ein Zeiger auf eine Funktion die beim whlen der Linken Antwort aufgerufen wird
    //  rightAk: Ein Zeiger auf eine Funktion die beim whlen der Rechten Antwort aufgerufen wird
    //  abbruchAk: Ein Zeiger auf eine Funktion die beim Schlieen des Fensters aufgerufen wird
    //  maxSize: Die Bildschirmgre in Pixeln
    Frage( TextRenderer *tr, char *frage, char *left, char *right, std::function< void() > leftAk, std::function< void() > rightAk, std::function< void() > abbruchAk, Punkt maxSize );
    // Destruktor
    ~Frage();
};